#
# Conditional build:
%bcond_without	gconf		# gconf support
%bcond_without	session		# session manager support
%bcond_without	sn		# startup-notification support
%bcond_without	composite	# composite support (experimental)
#
Summary:	Matchbox Window Manager
Summary(pl.UTF-8):	Zarządca okien dla środowiska Matchbox
Name:		matchbox-window-manager
Version:	1.2
Release:	4
License:	GPL v2+
Group:		X11/Window Managers
Source0:	http://downloads.yoctoproject.org/releases/matchbox/matchbox-window-manager/1.2/%{name}-%{version}.tar.bz2
# Source0-md5:	3e158dcf57823b55c926d95b245500fb
Patch0:		%{name}-link.patch
URL:		https://www.yoctoproject.org/software-item/matchbox/
%{?with_gconf:BuildRequires:	GConf2-devel >= 2.0}
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	expat-devel >= 1.95
BuildRequires:	libmatchbox-devel >= 1.5
BuildRequires:	libtool
BuildRequires:	pkgconfig
%{?with_sn:BuildRequires:	startup-notification-devel}
%{?with_session:BuildRequires:	xorg-lib-libSM-devel}
%{?with_composite:BuildRequires:	xorg-lib-libXcomposite-devel}
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-lib-libXfixes-devel >= 4.0
Requires:	libmatchbox >= 1.5
Requires:	xorg-lib-libXfixes >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Matchbox Window Manager.

%description -l pl.UTF-8
Zarządca okien dla środowiska Matchbox.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_composite:--enable-composite} \
	%{?with_gconf:--enable-gconf} \
	%{?with_session:--enable-session} \
	%{?with_sn:--enable-startup-notification}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONFTOOL=true

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with gconf}
%post
%gconf_schema_install matchbox.schemas

%preun
%gconf_schema_uninstall matchbox.schemas
%endif

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/matchbox-remote
%attr(755,root,root) %{_bindir}/matchbox-window-manager
%{_datadir}/matchbox/mbnoapp.xpm
%{_datadir}/themes/Default/matchbox
%dir %{_datadir}/themes/MBOpus
%{_datadir}/themes/MBOpus/matchbox
%dir %{_datadir}/themes/blondie
%{_datadir}/themes/blondie/matchbox
%dir %{_sysconfdir}/matchbox
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/matchbox/kbdconfig
%if %{with gconf}
%{_sysconfdir}/gconf/schemas/matchbox.schemas
%endif
%changelog
* Sun Jan 27 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/matchbox-window-manager.git;a=log;h=master

* Sun Jan 27 2019 Jakub Bogusz <qboosh@pld-linux.org> 351d638
- updated URLs, completed dependencies
- added link patch (binary needs -lm)
- release 4

* Wed May 06 2015 Jan Rękorajski <baggins@pld-linux.org> ef11121
- x32 rebuild
- release 3 (by relup.sh)

* Sun Mar 29 2009 areq <areq@pld-linux.org> 1535509
- rel 2

* Sat Nov 08 2008 wrobell <wrobell@pld-linux.org> 9c20721
- switch on major desktop features
- added missing directory
- rel. 1.1

* Sat Nov 01 2008 wrobell <wrobell@pld-linux.org> 2726070
- ver. 1.2
- use official matchbox website

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 96da9a5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4c32650
- converted to UTF-8

* Wed Dec 27 2006 Jakub Bogusz <qboosh@pld-linux.org> e9913ea
- oops

* Wed Dec 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 4d8c347
- new

